package com.uas.report;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 系统参数
 * 
 * @author sunyj
 * @since 2016年11月2日 下午5:18:06
 */
@Configuration
public class SystemProperties {

	/**
	 * 定时任务间隔时间（毫秒）
	 */
	@Value("${schedule.period}")
	private int taskPeriod;

	/**
	 * 定时任务是否自动开启
	 */
	@Value("${schedule.auto-start}")
	private boolean taskAutoStart;
	
	/**
	 * PC端支持打印的最大记录行数
	 */
	@Value("${max-record-size.pc}")
	private int maxRecordSizePc;
	
	/**
	 * 手机端支持打印的最大记录行数
	 */
	@Value("${max-record-size.phone}")
	private int maxRecordSizePhone;

	public int getTaskPeriod() {
		return taskPeriod;
	}

	public void setTaskPeriod(int taskPeriod) {
		this.taskPeriod = taskPeriod;
	}

	public boolean isTaskAutoStart() {
		return taskAutoStart;
	}

	public void setTaskAutoStart(boolean taskAutoStart) {
		this.taskAutoStart = taskAutoStart;
	}

	public int getMaxRecordSizePc() {
		return maxRecordSizePc;
	}

	public void setMaxRecordSizePc(int maxRecordSizePc) {
		this.maxRecordSizePc = maxRecordSizePc;
	}

	public int getMaxRecordSizePhone() {
		return maxRecordSizePhone;
	}

	public void setMaxRecordSizePhone(int maxRecordSizePhone) {
		this.maxRecordSizePhone = maxRecordSizePhone;
	}

	
}
